@import "mixins";
@import "variables";

.section-four {
  background-color: #4b3b4e;
  min-width: 100%;
}

.long-line {
  max-width: 85%;
  border-top: 2px solid #645766;
  display: block;
  margin: 0 auto;
}

.wrapper__s-f {
  .title-content__s-f {
    text-align: center;

    font-family: "Montserrat";
    font-style: normal;
    font-weight: 700;
    font-size: 28px;
    line-height: 42px;

    color: #ffffff;
    margin-top: 15px;
    margin-bottom: 32px;
  }
  .wrapper-content__s-f {
    @include flex-center;

    flex-direction: column;
    min-width: 100%;

    .wrapper-subscription:nth-child(4n) {
      margin-top: 26px;
    }

    .wrapper-subscription {
      @include flex-center;

      flex-direction: column;

      background-color: #5f5161;
      margin-bottom: 18px;
      max-width: 90%;
      min-width: 90%;
      min-height: 3220%;

      &__title {
        font-family: "Montserrat";
        font-style: normal;
        font-weight: 400;
        font-size: 24px;
        line-height: 24px;
        text-transform: uppercase;

        color: #ffffff;

        padding: 36px 0px;
        margin-bottom: 30px;

        background-color: #695b6a;

        width: 100%;
        text-align: center;
      }

      &__price {
        font-family: "Montserrat";
        font-style: normal;
        font-weight: 700;
        font-size: 60px;
        line-height: 84px;
        text-transform: uppercase;

        color: #ffffff;

        margin-bottom: 20px;
      }

      &__period {
        font-family: "Montserrat";
        font-style: normal;
        font-weight: 400;
        font-size: 14px;
        line-height: 16px;
        text-transform: uppercase;

        color: #ffffff;

        margin-bottom: 38px;
      }

      &__line {
        border-top: 5px solid #8d81ac;
        margin-bottom: 30px;
        min-width: 24%;
      }

      &__description {
        text-align: center;
        font-family: "Montserrat";
        font-style: normal;
        font-weight: 400;
        font-size: 16px;
        line-height: 18px;

        color: #ffffff;

        margin-bottom: 38px;

        max-width: 80%;
        height: 50px;
      }

      &__btn {
        background-color: #776b79;
        border-radius: 40px;

        font-family: "Montserrat";
        font-style: normal;
        font-weight: 400;
        font-size: 16px;
        line-height: 18px;
        text-transform: uppercase;

        color: #ffffff;

        padding: 15px 38px;
        margin-bottom: 36px;
      }
    }

    .wrapper-subscription.active {
      background-color: #463048;

      .active-copm-t {
        background-color: #402d41;
      }
      .active-copm-p {
        font-size: 82px;
      }
      .active-copm-b {
        background-color: #635264;
      }
    }
  }
  .active {
    margin-top: 25px;
    transform: scale(1.1);
  }
}

@media screen and (min-width: 481px) {
  .wrapper__s-f {
    .title-content__s-f {
      font-weight: 700;
      font-size: 48px;
      line-height: 50px;

      margin-bottom: 40px;
      margin-top: 88px;
    }
    .wrapper-content__s-f {
      flex-direction: row;
      flex-wrap: wrap;
      margin-right: -40px;
      .wrapper-subscription:nth-child(4n) {
        margin-top: 0px;
      }
      .wrapper-subscription {
        max-width: 38%;
        min-width: 38%;

        margin-right: 40px;
        margin-bottom: 70px;
      }
    }
  }
}
@media screen and (min-width: 993px) {
  .wrapper__s-f {
    .title-content__s-f {
      margin-top: 112px;
    }
    .wrapper-content__s-f {
      flex-direction: row;
      flex-wrap: wrap;
      margin-right: -30px;
      margin-top: 150px;

      .wrapper-subscription {
        max-width: 22%;
        min-width: 22%;

        margin-right: 30px;
        margin-bottom: 70px;
      }
    }
  }
}
